CompoundTypeCfg Struct Reference

Encoder flags for compound prediction modes. More...

`#include <encoder.h>`

## Data Fields

bool | enable_dist_wtd_comp
bool | enable_masked_comp
bool | enable_smooth_interintra
bool | enable_diff_wtd_comp
bool | enable_interinter_wedge
bool | enable_interintra_wedge

## Detailed Description

Encoder flags for compound prediction modes.

## Field Documentation

## enable_dist_wtd_comp

bool CompoundTypeCfg::enable_dist_wtd_comp

Flag to indicate if distance-weighted compound type should be enabled.

## enable_masked_comp

bool CompoundTypeCfg::enable_masked_comp

Flag to indicate if masked (wedge/diff-wtd) compound type should be enabled.

## enable_smooth_interintra

bool CompoundTypeCfg::enable_smooth_interintra

Flag to indicate if smooth interintra mode should be enabled.

## enable_diff_wtd_comp

bool CompoundTypeCfg::enable_diff_wtd_comp

Flag to indicate if difference-weighted compound type should be enabled.

## enable_interinter_wedge

bool CompoundTypeCfg::enable_interinter_wedge

Flag to indicate if inter-inter wedge compound type should be enabled.

## enable_interintra_wedge

bool CompoundTypeCfg::enable_interintra_wedge

Flag to indicate if inter-intra wedge compound type should be enabled.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h